> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gpu Availability



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/availability/gpus
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/availability/gpus:
    get:
      tags:
        - Availability
      summary: Get Gpu Availability
      operationId: get_gpu_availability_api_v1_availability_gpus_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of results per page
            default: 100
            title: Page Size
          description: Number of results per page
        - name: regions
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/Regions'
              - type: 'null'
            description: List of regions to filter
            title: Regions
          description: List of regions to filter
        - name: gpu_count
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Desired number of GPUs
            title: Gpu Count
          description: Desired number of GPUs
        - name: gpu_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/GPUType'
              - type: 'null'
            description: GPU model
            title: Gpu Type
          description: GPU model
        - name: socket
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/GPUSocket'
              - type: 'null'
            description: Socket for selected gpu model
            title: Socket
          description: Socket for selected gpu model
        - name: security
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SecurityType'
              - type: 'null'
            description: Security type
            title: Security
          description: Security type
        - name: data_center_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by data center ID
            title: Data Center Id
          description: Filter by data center ID
        - name: cloud_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by cloud ID
            title: Cloud Id
          description: Filter by cloud ID
        - name: disks
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: List of disk IDs to filter instances by location
            title: Disks
          description: List of disk IDs to filter instances by location
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailabilityResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    Regions:
      type: string
      enum:
        - africa
        - asia_south
        - asia_northeast
        - australia
        - canada
        - eu_east
        - eu_north
        - eu_west
        - middle_east
        - south_america
        - united_states
      title: Regions
    GPUType:
      type: string
      enum:
        - CPU_NODE
        - A10_24GB
        - A100_80GB
        - A100_40GB
        - A30_24GB
        - A40_48GB
        - B200_180GB
        - B300_262GB
        - GB200
        - GB300
        - RTX3070_8GB
        - RTX3070_8GB
        - RTX3080_10GB
        - RTX3080Ti_12GB
        - RTX3090_24GB
        - RTX3090Ti_24GB
        - RTX4070Ti_12GB
        - RTX4080_16GB
        - RTX4080Ti_16GB
        - RTX4090_24GB
        - RTX5090_32GB
        - H100_80GB
        - H200_96GB
        - GH200_96GB
        - H200_141GB
        - GH200_480GB
        - GH200_624GB
        - L4_24GB
        - L40_48GB
        - L40S_48GB
        - RTX4000_8GB
        - RTX5000_16GB
        - RTX6000_24GB
        - RTX8000_48GB
        - RTX2000Ada_16GB
        - RTX4000Ada_20GB
        - RTX5000Ada_32GB
        - RTX6000Ada_48GB
        - A2000_6GB
        - A4000_16GB
        - A4500_20GB
        - A5000_24GB
        - A6000_48GB
        - V100_16GB
        - V100_32GB
        - P100_16GB
        - T4_16GB
        - P4_8GB
        - P40_24GB
        - RTX_PRO_6000B_96GB
      title: GPUType
    GPUSocket:
      type: string
      enum:
        - PCIe
        - SXM2
        - SXM3
        - SXM4
        - SXM5
        - SXM6
      title: GPUSocket
    SecurityType:
      type: string
      enum:
        - secure_cloud
        - community_cloud
      title: SecurityType
    AvailabilityResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GpuAvailability'
          type: array
          title: Items
          description: List of available GPU configurations
        totalCount:
          type: integer
          title: Totalcount
          description: Total number of matching GPU configurations
      type: object
      required:
        - items
        - totalCount
      title: AvailabilityResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    GpuAvailability:
      properties:
        cloudId:
          type: string
          title: Cloudid
          description: Cloud ID, used for provisioning
        gpuType:
          $ref: '#/components/schemas/GPUType'
          description: GPU model
        socket:
          $ref: '#/components/schemas/GPUSocket'
          description: GPU socket
        provider:
          $ref: '#/components/schemas/ProviderTypeEnum'
          description: Provider's ID
        region:
          anyOf:
            - $ref: '#/components/schemas/Regions'
            - type: 'null'
          description: Region where the GPU is located.
        dataCenter:
          anyOf:
            - type: string
            - type: 'null'
          title: Datacenter
          description: Location of the data center housing the GPU.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Country where the data center is located.
        gpuCount:
          type: integer
          title: Gpucount
          description: Total number of GPUs available in this configuration.
        gpuMemory:
          type: integer
          title: Gpumemory
          description: Amount of memory available per GPU in GB.
        disk:
          $ref: '#/components/schemas/CustomSpecValue'
          description: Disk capacity in GB.
          default: {}
        sharedDisk:
          $ref: '#/components/schemas/CustomSpecValue'
          description: Shared disk capacity in GB.
          default: {}
        vcpu:
          $ref: '#/components/schemas/CustomSpecValue'
          description: Number of virtual CPUs allocated.
          default: {}
        memory:
          $ref: '#/components/schemas/CustomSpecValue'
          description: RAM size available in GB.
          default: {}
        internetSpeed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Internetspeed
          description: Internet speed available in Mbps.
        interconnect:
          anyOf:
            - type: integer
            - type: 'null'
          title: Interconnect
          description: Interconnect speed between GPUs or nodes in Gbps.
        interconnectType:
          anyOf:
            - type: string
            - type: 'null'
          title: Interconnecttype
          description: Type of interconnect technology (e.g. Infiniband).
        provisioningTime:
          anyOf:
            - type: integer
            - type: 'null'
          title: Provisioningtime
          description: Estimated time in minutes required for GPU provisioning.
        stockStatus:
          type: string
          enum:
            - Available
            - Low
            - Medium
            - High
            - Unavailable
          title: Stockstatus
          description: Current stock availability status of GPUs.
          default: Available
        security:
          $ref: '#/components/schemas/SecurityType'
          description: GPU is either from community cloud or secure cloud
        prices:
          $ref: '#/components/schemas/Prices'
          description: Hourly pricing details.
        images:
          items:
            $ref: '#/components/schemas/EnvironmentTypeEnum'
          type: array
          title: Images
          description: List of available images for this GPU.
        isSpot:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isspot
          description: Indicates if the GPU can be provisioned on a spot pricing model.
        prepaidTime:
          anyOf:
            - type: number
            - type: 'null'
          title: Prepaidtime
          description: >-
            If set, you will be pre-charged for the total number of hours
            specified in this field at the time of ordering, regardless of
            actual usage. After the prepaid time expires, the standard hourly
            rate will apply.
      type: object
      required:
        - cloudId
        - gpuType
        - socket
        - provider
        - gpuCount
        - gpuMemory
        - security
        - prices
        - images
      title: GpuAvailability
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    ProviderTypeEnum:
      type: string
      enum:
        - runpod
        - fluidstack
        - lambdalabs
        - hyperstack
        - oblivus
        - cudocompute
        - scaleway
        - tensordock
        - datacrunch
        - latitude
        - crusoecloud
        - massedcompute
        - akash
        - primeintellect
        - primecompute
        - dc_impala
        - dc_kudu
        - dc_roan
        - nebius
        - dc_eland
        - dc_wildebeest
        - vultr
        - dc_gnu
        - denvr
      title: ProviderTypeEnum
    CustomSpecValue:
      properties:
        minCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mincount
          description: Minimum count for this specification.
          examples:
            - 2
        defaultCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Defaultcount
          description: Default count for the specification.
          examples:
            - 8
        maxCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxcount
          description: Maximum allowable count for this specification.
          examples:
            - 24
        pricePerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Priceperunit
          description: Price per unit per hr.
          examples:
            - 0.005
        step:
          anyOf:
            - type: integer
            - type: 'null'
          title: Step
          description: >-
            Increment step for adjusting the count (e.g., increments by 1 or
            10).
          examples:
            - 2
        defaultIncludedInPrice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Defaultincludedinprice
          description: Indicates if the default count is included in the base price.
          examples:
            - false
        additionalInfo:
          anyOf:
            - type: string
            - type: 'null'
          title: Additionalinfo
          description: Any additional information or notes regarding this specification.
          examples:
            - null
            - This price is charged even for stopped instance
      type: object
      title: CustomSpecValue
    Prices:
      properties:
        onDemand:
          anyOf:
            - type: number
            - type: 'null'
          title: Ondemand
          description: Price for on-demand usage, specified for secure_cloud security type.
          examples:
            - 1.15
        communityPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Communityprice
          description: >-
            Price for community cloud instances, specified for community_cloud
            security type.
          examples:
            - null
        isVariable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isvariable
          description: >-
            Indicates whether the price is variable and subject to change based
            on market conditions.
          examples:
            - false
        currency:
          $ref: '#/components/schemas/Currency'
          description: The currency in which the prices are denominated (e.g., USD, EUR).
      type: object
      required:
        - currency
      title: Prices
    EnvironmentTypeEnum:
      type: string
      enum:
        - ubuntu_22_cuda_12
        - cuda_12_1_pytorch_2_2
        - cuda_11_8_pytorch_2_1
        - cuda_12_1_pytorch_2_3
        - cuda_12_1_pytorch_2_4
        - cuda_12_4_pytorch_2_4
        - cuda_12_4_pytorch_2_5
        - cuda_12_4_pytorch_2_6
        - cuda_12_6_pytorch_2_7
        - stable_diffusion
        - axolotl
        - bittensor
        - hivemind
        - petals_llama
        - vllm_llama_8b
        - vllm_llama_70b
        - vllm_llama_405b
        - custom_template
        - flux
        - prime_rl
      title: EnvironmentTypeEnum
    Currency:
      type: string
      enum:
        - USD
        - EUR
      title: Currency
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````